/* $Header: termdata.h,v 3.1 98/08/13 17:18:28 carl Exp $ */

/************************************************************************
 * Copyright (c) 1998 The Trustees of Princeton University.
 * All rights reserved.
 * 
 * PRINCETON UNIVERSITY MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF
 * THIS SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS
 * OR IMPLIED WARRANTY.  PRINCETON UNIVERSITY SHALL NOT BE LIABLE FOR ANY
 * DAMAGES SUFFERED BY THE USERS OF THIS SOFTWARE.
 ************************************************************************/


#ifndef _TERMDATA_INCLUDED
#define _TERMDATA_INCLUDED

/* Description of each term in the objective and constraints */
typedef struct termdata {
    int     xindex;             /* Index for X variable, if any */
    int     yindex;             /* Index for Y variable, if any */
    double  value;              /* Value of the coefficient */
} *TERMTYPE;

#endif /* _TERMDATA_INCLUDED */
