/* $Header: chemkin.h,v 3.1 98/08/13 17:21:55 carl Exp $ */

/************************************************************************
 * Copyright (c) 1998 The Trustees of Princeton University.
 * All rights reserved.
 * 
 * PRINCETON UNIVERSITY MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF
 * THIS SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS
 * OR IMPLIED WARRANTY.  PRINCETON UNIVERSITY SHALL NOT BE LIABLE FOR ANY
 * DAMAGES SUFFERED BY THE USERS OF THIS SOFTWARE.
 ************************************************************************/

#ifndef CHEMKIN_INCLUDED
#define CHEMKIN_INCLUDED

#if defined(__STDC__) || defined(__cplusplus)
# define P_(s) s
#else
# define P_(s) ()
#endif

int parser_chemkin_init P_((char *filename));
void parser_chemkin_close P_(());

typedef double *(*ckfuntype) P_((int *numparam));
ckfuntype getckfun P_((char *name));

int chemkin_init P_((char *filename));
void chemkin_close P_(());

int chemkin_init P_((char *filename));
void chemkin_close P_(());
double *ck_arr_a P_((int *numparam));
double *ck_arr_b P_((int *numparam));
double *ck_arr_e P_((int *numparam));
double *ck_nu P_((int *numparam));
double *ck_nuf P_((int *numparam));
double *ck_nur P_((int *numparam));
double *ck_molar_entropy P_((int *numparam));
double *ck_molar_enthalpy P_((int *numparam));
double *ck_cp_coefficients P_((int *numparam));
double *ck_thirdbody P_((int *numparam));
double *ck_reversible P_((int *numparam));
double *ck_molecularwt P_((int *numparam));

#undef P_

#endif
