/* $Header: formout.h,v 3.1 98/08/13 17:18:14 carl Exp $ */

/************************************************************************
 * Copyright (c) 1998 The Trustees of Princeton University.
 * All rights reserved.
 * 
 * PRINCETON UNIVERSITY MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF
 * THIS SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS
 * OR IMPLIED WARRANTY.  PRINCETON UNIVERSITY SHALL NOT BE LIABLE FOR ANY
 * DAMAGES SUFFERED BY THE USERS OF THIS SOFTWARE.
 ************************************************************************/


#ifndef _FORMOUT_INCLUDED
#define _FORMOUT_INCLUDED

/* This is the structure used for formatted output */

typedef struct formout {
  int numelem; /* the number of elements to be printed */
  char vartype; /* the type of variable being printed */
  char **varnames; /* the names of the variables being printed */
  int *index_vals; /* the index values of the variables being printed */
  double *pvals;   /* the values of the parameters if this is a parameter */
  struct formout *next; /* the next formatted output block */
} formoutstruct, *formoutptr, *FORMOUTTYPE;

#endif /* _FORMOUT_INCLUDED */

