/* $Header: userfun.h,v 1.1 97/08/22 11:00:29 carl Exp $ */

#ifndef USERFUN_INCLUDED
#define USERFUN_INCLUDED

typedef struct usrfn {
  char *name;
  int narg;
  double (*f)(double *x, int nvars, int *vars, void *rock);
  int nvars;   /* Number of derivatives being taken */
  int *vars;   /* List of variables wrt which derivatives are taken */
  void *rock;  /* Any additional information needed by f */
} *USRFNTYPE;

#endif /* USERFUN_INCLUDED */
